<main [@animate]="{ value: '*', params: { y: '50px', delay: '400ms' } }">
  <div class="row h-100">
    <div class="col-5 h-100" id="loginImage">      
    </div>

    <div class="col pl-0">

      <video playsinline="true" style="position: absolute; bottom: 0px; opacity: 0.1;"
      oncanplay="this.play()" 
      onloadedmetadata="this.muted = true" 
      muted="true" loop="true" 
      poster="https://static.massimodutti.net/3/cms/assets/uploads/nuevoY_4.jpg?imwidth=1100">
        <source src="https://static.massimodutti.net/3/cms/assets/uploads/nuevoWomanY_2.mp4"></video>

      <div class="d-flex flex-column justify-content-center h-100">
        <div class="row" id="logo-area">
          <div class="col d-flex justify-content-center">
            <div id="logo">
            </div>
          </div>
        </div>
        <div class="row d-flex justify-content-center mt-4">

          <div class="col-xs-6 col-md-5 col-sm-8">

            <form [formGroup]="registerUserForm">
              <h3 class="p-2">User Registration Form</h3>
              
              <div class="row">
                <div class="col-md-12">
                  <mat-form-field class="w-100" appearance="outline">
                    <mat-label>First Name</mat-label>
                    <input matInput placeholder="First Name" formControlName="firstName">
                  </mat-form-field>
                </div>
              </div>

              <div class="row">
                <div class="col-md-12">
                  <mat-form-field class="w-100" appearance="outline">
                    <mat-label>Last Name</mat-label>
                    <input matInput placeholder="Last Name" formControlName="lastName">
                  </mat-form-field>
                </div>
              </div>

              <div class="row">
                <div class="col-md-12">
                  <mat-form-field class="w-100" appearance="outline">
                    <mat-label>UserName</mat-label>
                    <input matInput placeholder="UserName" formControlName="userName">
                  </mat-form-field>
                </div>
              </div>

              <div class="row">
                <div class="col-md-12">
                  <mat-form-field class="w-100" appearance="outline">
                    <mat-label>Password</mat-label>
                    <input matInput placeholder="Contraseña" formControlName="password" type="password">
                  </mat-form-field>
                </div>
              </div>

              <mat-error *ngIf="registerUserForm.hasError('wrong-credentials')"
                [@animate]="{ value: '*', params: { x: '50px', delay: '100ms' } }">
                * User already <strong> Exists </strong>
              </mat-error>

              <mat-form-field appearance="fill">
                <mat-label>Roles</mat-label>
                <mat-select [formControl]="registerUserForm.get('roles')" multiple>
                  <mat-option *ngFor="let role of (authenticationService.roles$ | async)" [value]="role">{{role.description}}</mat-option>
                </mat-select>
              </mat-form-field>

              <div class="row">

                <div class="col-md-12">
                  <div class="d-flex justify-content-center mt-5">                    
                    <button (click)="goToLoginPage()" class="mr-2 btn__secondary">Login</button>
                    <button (click)="registerUser()" class="btn__primary">Register</button>
                  </div>
                </div>

              </div>

            </form>

          </div>

        </div>

      </div>

    </div>

  </div>
</main>